## fortune-zh 1.4

=== Makefile ===
DESTDIR=
DATA=tang300.dat song100.dat
all: $(DATA)
tang300.dat:tang300
	strfile $<
song100.dat:song100
	strfile $<
distclean:
	rm *dat

install: all
	install -m0644  tang* $(DESTDIR)/usr/share/games/fortunes
	install -m0644  song* $(DESTDIR)/usr/share/games/fortunes
	install -m0755  fortune-zh $(DESTDIR)/usr/bin

=== debian/changelog ===
fortune-zh (1.4) unstable; urgency=low

  * New release. 

 -- Yu Guanghui <ygh@debian.org>  Mon,  5 Mar 2001 21:09:54 +0800

fortune-zh (1.3) unstable; urgency=low

  * Fixed debian/rules, do nothing under binary-indep. (closes:Bug#88581) 

 -- Yu Guanghui <ygh@debian.org>  Mon,  5 Mar 2001 18:06:43 +0800

fortune-zh (1.2) unstable; urgency=low

  * Added depend on zh-autoconvert. 

 -- Yu Guanghui <ygh@debian.org>  Sun,  4 Mar 2001 18:42:12 +0800

fortune-zh (1.1) unstable; urgency=low

  * Modified fortune-zh script.
  * Temporarily remove smth-joke from this packages, it will be back
    after adjustment.

 -- Yu Guanghui <ygh@debian.org>  Sun,  4 Mar 2001 10:07:34 +0800

fortune-zh (1.0) unstable; urgency=low

  * Initial release.

 -- Yu Guanghui <ygh@debian.org>  Thu,  1 Mar 2001 00:21:15 +0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: fortune-zh
Section: games
Build-Depends: debhelper (>= 2.0.72),fortune-mod
Priority: optional
Maintainer: Yu Guanghui <ygh@debian.org>
Standards-Version: 3.5.1

Package: fortune-zh
Architecture: any
Depends: fortune-mod, zh-autoconvert
Description: Chinese Data files for Fortune
 This software package contians the chinese data files for fortune and a simple
 script to handle the chinese encoding conversion. Those libraries included
 tang300 -- 300_Tang_Poems and other chinese classical poetry.

## fortune-zh 1.6

=== Makefile ===
DESTDIR=
DATA=tang300.dat song100.dat
all: $(DATA)
tang300.dat:tang300
	strfile $< tang300.dat
song100.dat:song100
	strfile $< song100.dat
distclean:
	rm *dat
clean:
	rm *dat

install: all
	install -m0644  tang300 $(DESTDIR)/usr/share/games/fortunes
	cp -d  tang300.u8 $(DESTDIR)/usr/share/games/fortunes
	install -m0644  tang300.dat $(DESTDIR)/usr/share/games/fortunes
	install -m0644  song100 $(DESTDIR)/usr/share/games/fortunes
	cp -d  song100.u8 $(DESTDIR)/usr/share/games/fortunes
	install -m0644  song100.dat $(DESTDIR)/usr/share/games/fortunes
	install -m0755  fortune-zh $(DESTDIR)/usr/bin

=== debian/changelog ===
fortune-zh (1.6) unstable; urgency=low

  * recode has issues when convert utf8 to big5. Modified fortune-zh
    as workaround. Suggest big5 users continue use fortune-zh until
    recode's issues is fixed.

 -- Yu Guanghui <ygh@debian.org>  Fri, 13 Feb 2004 18:06:15 +0800

fortune-zh (1.5) unstable; urgency=low

  * Fixed old spell errors.(closes:Bug#124628, Bug#120803) 
  * Converted data files to utf8, fortune can recode. fortune-zh isn't 
    required, but it's still kept for compatibility. (closes:Bug#204380)

 -- Yu Guanghui <ygh@debian.org>  Thu, 12 Feb 2004 20:19:27 +0800

=== debian/control ===
Source: fortune-zh
Section: games
Build-Depends: debhelper (>= 2.0.72),fortune-mod
Priority: optional
Maintainer: Yu Guanghui <ygh@debian.org>
Standards-Version: 3.5.1

Package: fortune-zh
Architecture: any
Depends: fortune-mod, zh-autoconvert
Description: Chinese Data files for fortune
 This software package contains the Chinese data files for fortune in
 utf8 encoding.
 Those libraries included tang300 -- 300_Tang_Poems and other Chinese 
 classical poetry.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fortune-zh 1.7

=== debian/changelog ===
fortune-zh (1.7) unstable; urgency=low

  * Porvides fortune-cookie-db. (Closes:Bug#448063)

 -- Yu Guanghui <ygh@debian.org>  Thu,  6 Jul 2006 02:41:43 +0800

## fortune-zh 1.8

=== debian/changelog ===
fortune-zh (1.8) unstable; urgency=low

  * Changed Architecture to all. (Closes:Bug#518054) 

 -- Yu Guanghui <ygh@debian.org>  Wed, 04 Mar 2009 22:40:24 +0800

## fortune-zh 1.9

=== debian/changelog ===
fortune-zh (1.9) unstable; urgency=low

  * New maintainer.
  * debian/control:
    - bump standards version to 3.9.2.
    - add Vcs-* fields. 
    - update description.
    - add misc:Depends to depends.
  * bump compat level to 7:
    - debian/rules: updated.
    - debian/compat: added.
    - debian/control: update build depends.
  * debian/README.debian:
    - fix typo
    - change encoding to UTF-8.
  * Makefile: 
    - create dest dir first.
    - don't raise error when clean.
    - install fortune-zh to /usr/games
  * debian/rules: updated. 
  * debian/copyright: updated. 
  * Fix "Fix a few characters + fortune files in Traditional Chinese"
    (Closes: #427092)
    - song100: updated.

 -- LI Daobing <lidaobing@debian.org>  Sun, 05 Jun 2011 11:37:02 +0800

=== debian/control ===
Source: fortune-zh
Section: games
Build-Depends: debhelper (>= 7), fortune-mod
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 LI Daobing <lidaobing@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/chinese/fortune-zh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/fortune-zh.git

Package: fortune-zh
Architecture: any
Depends: ${misc:Depends}, fortune-mod, zh-autoconvert
Description: Chinese Data files for fortune
 This software package contains the Chinese data files for fortune in
 utf8 encoding.
 .
 Those libraries included tang300 -- 300_Tang_Poems and other Chinese 
 classical poetry.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=1
 
 build: build-stamp
 build-stamp:
@@ -23,19 +20,18 @@
 	dh_testroot
 	rm -f build-stamp
 
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/fortune-zh
 
 
 # Build architecture-independent files here.
@@ -55,7 +51,7 @@
 #	dh_installpam
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages
+	dh_installman
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
@@ -63,8 +59,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl

## fortune-zh 1.10

=== Makefile ===
DESTDIR=
DATA=tang300.dat song100.dat
all: $(DATA)
tang300.dat:tang300
	strfile $< tang300.dat
song100.dat:song100
	strfile $< song100.dat
distclean:
	rm -f *dat
clean:
	rm -f *dat

install: all
	mkdir -p $(DESTDIR)/usr/share/games/fortunes
	mkdir -p $(DESTDIR)/usr/games
	install -m0644  tang300 $(DESTDIR)/usr/share/games/fortunes
	cp -d  tang300.u8 $(DESTDIR)/usr/share/games/fortunes
	install -m0644  tang300.dat $(DESTDIR)/usr/share/games/fortunes
	install -m0644  song100 $(DESTDIR)/usr/share/games/fortunes
	cp -d  song100.u8 $(DESTDIR)/usr/share/games/fortunes
	install -m0644  song100.dat $(DESTDIR)/usr/share/games/fortunes
	install -m0755  fortune-zh $(DESTDIR)/usr/games/

=== debian/changelog ===
fortune-zh (1.10) unstable; urgency=low

  * QA upload.
  * Really set Architecture field to 'all'. (Closes: #518054)
  * Build package in binary-indep.
  * Add missing targets build-{arch,indep}.
  * Maintainer field set to QA Group.
  * Drop Uploaders field.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Mon, 20 Jan 2014 23:14:42 +0100

=== debian/control ===
Source: fortune-zh
Section: games
Build-Depends: debhelper (>= 9), fortune-mod
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/chinese/fortune-zh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/fortune-zh.git

Package: fortune-zh
Architecture: all
Depends: ${misc:Depends}, fortune-mod, zh-autoconvert
Description: Chinese Data files for fortune
 This software package contains the Chinese data files for fortune in
 utf8 encoding.
 .
 Those libraries included tang300 -- 300_Tang_Poems and other Chinese 
 classical poetry.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -34,12 +37,12 @@
 	$(MAKE) install DESTDIR=`pwd`/debian/fortune-zh
 
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 #	dh_testversion
 	dh_testdir
 	dh_testroot

## fortune-zh 1.11

=== Makefile ===
DESTDIR=
FORTUNES=/usr/share/games/fortunes
GAMES=/usr/games

DATA=tang300.dat song100.dat
all: $(DATA)

tang300.dat:tang300
	strfile $< tang300.dat
song100.dat:song100
	strfile $< song100.dat
shijing.dat:shijing
	strfile $< shijing.dat

distclean:
	rm -f *dat
clean:
	rm -f *dat

install: all
	mkdir -p $(DESTDIR)$(FORTUNES)
	mkdir -p $(DESTDIR)$(GAMES)
	install -m0755  fortune-zh $(DESTDIR)$(GAMES)
	
	install -m0644  tang300 $(DESTDIR)$(FORTUNES)
	cp -d  tang300.u8 $(DESTDIR)$(FORTUNES)
	install -m0644  tang300.dat $(DESTDIR)$(FORTUNES)
	
	install -m0644  song100 $(DESTDIR)$(FORTUNES)
	cp -d  song100.u8 $(DESTDIR)$(FORTUNES)
	install -m0644  song100.dat $(DESTDIR)$(FORTUNES)
	
#	install -m0644 shijing $(DESTDIR)$(FORTUNES)
#	cp -d shijing.u8 $(DESTDIR)$(FORTUNES)
#	install -m0644 shijing.dat $(DESTDIR)$(FORTUNES)

=== debian/changelog ===
fortune-zh (1.11) unstable; urgency=medium

  [ Zhou Mo ]
  * New maintainer. (Closes: #629014)
  * Fix a few characters in tang300.
  * Add manpage for fortune-zh(6).
  * Switched to dpkg-source 3.0 (native) format.
    - debian/source/format
  * Convert shijing.gb into UTF-8 encoding.
  * Update description.
  * Handle environment LANG properly in fortune-zh.
  * Update Makefile.

  [ Aron Xu ]
  * Put Debian Chinese Team in Maintainer field
  * Use dh 7 style rules
  * Remove useless dirs file

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 19 May 2015 06:03:14 +0000

=== debian/control ===
Source: fortune-zh
Section: games
Build-Depends: debhelper (>= 9), fortune-mod
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/chinese/fortune-zh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/fortune-zh.git

Package: fortune-zh
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Description: Chinese Data files for fortune
 This package contains the Chinese data files for fortune in
 UTF-8 encoding.
 .
 Those data files included:
  * tang300 (300_Tang_Poems)
  * song100 (100_Song_Poems)
 .
 They are all classical Chinese poems.

## fortune-zh 2.1

=== Makefile ===
DESTDIR=
FORTUNES=/usr/share/games/fortunes
GAMES=/usr/games

TEXTS = tang300 song100 chinese
DATA=tang300.dat song100.dat chinese.dat
all: $(DATA)

stat:
	make chinese.dat
	bash util/statistic.sh
	make clean 1>/dev/null

%.dat: %
	strfile $< $<.dat
chinese.dat: 
	touch chinese
	find chinese.d -type f -name '*.dat' -print0 | LC_ALL=C sort -z | xargs -0r cat | cat >> chinese
	strfile chinese

distclean: clean
clean:
	-rm -f *dat
	-rm chinese

install: all
	mkdir -p $(DESTDIR)$(FORTUNES)
	mkdir -p $(DESTDIR)$(GAMES)
	install -m0755  fortune-zh        $(DESTDIR)$(GAMES)
	install -m0644  $(TEXTS) $(DATA)  $(DESTDIR)$(FORTUNES)
#	install -m0644 shijing $(DESTDIR)$(FORTUNES)
#	cp -d shijing.u8 $(DESTDIR)$(FORTUNES)
#	install -m0644 shijing.dat $(DESTDIR)$(FORTUNES)
.PHONY: install clean distclean stat all

=== debian/changelog ===
fortune-zh (2.1) unstable; urgency=medium

  * Make the findutil traversal order fixed to fix reproducibility.
    Thanks to Chris Lamb <lamby@debian.org>. (Closes: #850505)

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 09 Jan 2017 14:06:22 +0000

fortune-zh (2.0) unstable; urgency=medium

  * New 2.X release.
  * Fix invalid encodings in tang300 (LP: #499664)
  * Update https links in Vcs-Git and Vcs-Browser fields.
  * Bump standards version to 3.9.8 . (requires no change)
  * Update package description.
  * Add new Chinese cookies under chinese.d/ .
  * Rewrite d/copyright in dep8 machine-readable style.
  * Update manpage man/fortune-zh.6 .
  * Simplify Makefile by removing redundant lines.
  * Remove .u8 symlinks. Use fortune-zh.links to create symlinks instead.
  * Update fortune-zh script.
  * Add autopkgtest support -- test fortune-zh script and cookie files.
  * Override false positive lintian: capitalization-error-in-description .
  * Bump debhelper compat to 10.

  [ Boyuan Yang ]
  * Add a Simplified Chinese manpage.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 08 Dec 2016 06:03:42 +0000

=== debian/control ===
Source: fortune-zh
Section: games
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Zhou Mo <cdluminate@gmail.com>
Build-Depends: debhelper (>= 10),
               fortune-mod,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/chinese/fortune-zh.git
Vcs-Git: https://anonscm.debian.org/git/chinese/fortune-zh.git

Package: fortune-zh
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Description: Chinese Data files for fortune
 This package contains the Chinese data files for fortune in
 UTF-8 encoding.
 .
 cookies included in this package:
  * tang300: 300 Tang Poems
  * song100: 100 Song Poems
  * chinese: Misc Chinese Collection

## fortune-zh 2.4

=== debian/changelog ===
fortune-zh (2.4) unstable; urgency=medium

  * New cookie collection "tuna-collection".
  * Bump Standards Version to 4.0.0 (No change needed).

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 01 Jul 2017 15:15:24 +0000

fortune-zh (2.3) experimental; urgency=medium

  * Fix the last replacement character in song100 and remove the
    corresponding TODO entry. (See: #850905)

 -- Zhou Mo <cdluminate@gmail.com>  Tue, 06 Jun 2017 05:07:34 +0000

fortune-zh (2.2) experimental; urgency=medium

  * Substitute the replacement Chiense characters with the original one.
    There is still a character remains to be fixed, as said in d/TODO.
    (Closes: #850905).
  * Rename binary package "fortune-zh" to "fortunes-zh" since the other
    fortune cookie packages are named as "fortunes-*". The binary package
    "fortune-zh" is now a dummy transitional package.
  * New lintian overrides for fortune-zh.
  * Binary package fortunes-zh breaks and replaces fortune-zh (<< 2.2).
    Binary package fortune-zh depends on fortunes-zh.

 -- Zhou Mo <cdluminate@gmail.com>  Fri, 14 Apr 2017 03:32:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,31 @@
 Uploaders: Zhou Mo <cdluminate@gmail.com>
 Build-Depends: debhelper (>= 10),
                fortune-mod,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/chinese/fortune-zh.git
 Vcs-Git: https://anonscm.debian.org/git/chinese/fortune-zh.git
 
 Package: fortune-zh
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: fortunes-zh, ${misc:Depends}
+Description: Chinese Data files for fortune (dummy transitional package)
+ This package contains the Chinese data files for fortune in
+ UTF-8 encoding.
+ .
+ cookies included in this package:
+  * tang300: 300 Tang Poems
+  * song100: 100 Song Poems
+  * chinese: Misc Chinese Collection
+ .
+ This is a dummy transitional package of fortunes-zh.
+
+Package: fortunes-zh
 Architecture: all
 Depends: ${misc:Depends}, fortune-mod
+Breaks: fortune-zh (<< 2.2)
+Replaces: fortune-zh (<< 2.2)
 Description: Chinese Data files for fortune
  This package contains the Chinese data files for fortune in
  UTF-8 encoding.

## fortune-zh 2.7

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 chinese.dat: 
 	touch chinese
 	find chinese.d -type f -name '*.dat' -print0 | LC_ALL=C sort -z | xargs -0r cat | cat >> chinese
+	awk '{if ($$0 ~ /--/) {print "[33m" $$0 "[m"} else {print}}' chinese > chinese_colorize
+	sed -i -e 's/《/[32m《/g' -e 's/》/》[m/g' chinese_colorize
+	mv chinese_colorize chinese
 	strfile chinese
 
 distclean: clean

=== debian/changelog ===
fortune-zh (2.7) unstable; urgency=medium

  * Overhaul the cookies.
  * Finish the chinese.d/shijing.d/shijing.dat cookie. (Closes: #850903)
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.3 (no change).
  * Bump debhelper compat to 11.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 08 Feb 2018 16:12:08 +0000

fortune-zh (2.6) unstable; urgency=medium

  * Automatically colorize the chinese.dat cookie at build time with
    hardcoded color via awk and sed when a specific pattern is matched.
    The color scheme is consistent with the ancient one.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 03 Dec 2017 12:25:46 +0000

fortune-zh (2.5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1 .
    + Replace the 'extra' priority with 'optional' for the dummy
      transitional package.
  * Update my name in control and copyright.
  * Import new cookies 'shijing', partially done. (see #850903)
  * fortune-zh: Update probability for each cookie file.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 21 Oct 2017 03:09:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: games
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
-Uploaders: Zhou Mo <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 10),
+Uploaders: Mo Zhou <cdluminate@gmail.com>
+Build-Depends: debhelper (>= 11~),
                fortune-mod,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/chinese/fortune-zh.git
-Vcs-Git: https://anonscm.debian.org/git/chinese/fortune-zh.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
+Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git
 
 Package: fortune-zh
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: fortunes-zh, ${misc:Depends}
 Description: Chinese Data files for fortune (dummy transitional package)

## fortune-zh 2.8.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	strfile $< $<.dat
 chinese.dat: 
 	touch chinese
-	find chinese.d -type f -name '*.dat' -print0 | LC_ALL=C sort -z | xargs -0r cat | cat >> chinese
+	find chinese.d -type f,l -name '*.dat' -print0 | LC_ALL=C sort -z | xargs -0r cat | cat >> chinese
 	awk '{if ($$0 ~ /--/) {print "[33m" $$0 "[m"} else {print}}' chinese > chinese_colorize
 	sed -i -e 's/《/[32m《/g' -e 's/》/》[m/g' chinese_colorize
 	mv chinese_colorize chinese

=== chinese.d/contrib.d/fortune-mod-zh/Makefile ===
.PHONY: all install uninstall clean
all:
	$(MAKE) -C src

install:
	$(MAKE) -C src install

uninstall:
	$(MAKE) -C src uninstall

clean:
	$(MAKE) -C src clean

=== chinese.d/contrib.d/fortune-mod-zh/src/Makefile ===
.PHONY: all install uninstall clean

INSTALL_DIR = /usr/share/fortune/zh
scripts = fortune-zh 
files = caigentan dao joke lunyu maoshici maoyulu proverb song100 songproses tang300 zengguang
dats = $(patsubst %,%.dat,$(files))

all: $(dats) $(scripts)

$(dats): %.dat: %
	strfile $<

install: $(scripts) $(dats)
	install -d $(DESTDIR)/usr/bin
	install -m 0755 $(scripts) $(DESTDIR)/usr/bin
	ln -sf fortune-zh $(DESTDIR)/usr/bin/fortune-sc
	ln -sf fortune-zh $(DESTDIR)/usr/bin/fortune-tc
	install -d $(DESTDIR)$(INSTALL_DIR); 
	for i in $(files); do \
		install -m 0644 $$i $$i.dat $(DESTDIR)$(INSTALL_DIR); \
	        ln -sf $$i $(DESTDIR)$(INSTALL_DIR)/$$i.u8; \
	done

uninstall: $(script) $(files)
	for i in $(scripts); do \
		rm -rf $(DESTDIR)/usr/bin/$$i; \
	done
	rm -rf $(DESTDIR)$(INSTALL_DIR)

clean: 
	rm -rf *.dat

=== debian/changelog ===
fortune-zh (2.8.1) unstable; urgency=medium

  * Add one more trivial science cookie.
  * Remove inappropriate cookies (Closes: #901026)
    - Remove a contributed cookie that conveys incorrect value.
    - Don't install contrib.d/fortune-mod-zh/src/joke by default,
      since it is full of offensive content.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 08 Jun 2018 09:05:58 +0000

fortune-zh (2.8) unstable; urgency=medium

  [ Boyuan Yang ]
  * d/README.debian: Fix typo

  [ Mo Zhou ]
  * Add new cookies to cyberspeak.dat .
  * Merge an ancient GPL-3 licensed fortune-zh friend project.
    + See chinese.d/contrib.d/fortune-mod-zh.meta
  * Create new cookie file moegirl.dat .
  * Add translated quotes from Richard. M. Stallman. (chinese.d/rms.dat)
  * Update tuna-collection cookies.
  * Create science cookies. (chinese.d/science.dat)
  * Merge contributed cookies from shu <lliocian@gmail.com>, thanks!
  * Create symlinks for the imported ancient project.
  * Makefile: Also Glob cookie from symbol links.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 26 May 2018 16:39:19 +0000

## fortune-zh 2.94

=== debian/changelog ===
fortune-zh (2.94) unstable; urgency=medium

  * Misc updates for the Debian Reference cookie generator:
    + Replace table frames with Unicode characters.
    + Update a regex for manpage keywords.
    + Fix colorizing glitches.
  * Refresh debian-reference.cookie with updated colorizing.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 03 Jan 2019 13:08:01 +0000

fortune-zh (2.93) unstable; urgency=medium

  * Fix several errors in refcard.cookie
  * Update colorizing for debian-reference
  * Bump Standards-Version to 4.3.0 (no change)
  * Use https format URI in debian/copyright.
  * Strip trailing whitespaces in dch.
  * Bump Year to 2019 in debian/copyright.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 01 Jan 2019 07:32:01 +0000

fortune-zh (2.92) unstable; urgency=medium

  * Update colorization for Debian Reference.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 31 Dec 2018 07:41:39 +0000

fortune-zh (2.91) unstable; urgency=medium

  * Add the missing B-D python3 . (Closes: #917845)

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 31 Dec 2018 05:23:58 +0000

fortune-zh (2.90) unstable; urgency=medium

  * Cookie updates, apart from importing lots of new cookies:
    + Typesetting updates for existing cookies.
    + Some new contents added into existing cookies.
    + Overhaul the directory hierarchy.
    + Chinese version of Debian Social Contract.
    + Chinese version of Debian Free Software Guide.
    + My translated Chinese version of Debian Code of Conduct.
    + Chinese version of Reference Card
    + Chinese version of Debian Reference (Osamu)
  - Remove unused and legacy files.
  * Add a draft for classifying different cookie categories.
  * Switch to new cookie data format
  * Add cookie2dat.py converter.
  * Aggressively remove the legacy transitional dummy package.
  * Overhaul Makefile.
  * Update Year in Copyright info.
  * Support ENV variable FORTUNEZH_NOCOLOR to filter ANSI sequence.
  * Change probability distribution in fortune-zh.
  * Override more false-positive lintian Errors and Warnings.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Dec 2018 10:28:09 +0000

## fortune-zh 2.95

=== debian/changelog ===
fortune-zh (2.95) unstable; urgency=medium

  * Team upload.
  * quotes.d/bingxin.cookie: Remove a trailing space that triggered
    fortune cookie grammar error. (Closes: #928138)

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Apr 2019 16:02:39 -0400

=== debian/control ===
Source: fortune-zh
Section: games
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>= 11~), fortune-mod, python3,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git

Package: fortunes-zh
Architecture: all
Depends: ${misc:Depends}, fortune-mod
Breaks: fortune-zh (<< 2.2)
Replaces: fortune-zh (<< 2.2)
Description: Chinese Data files for fortune
 This package contains the Chinese data files for fortune in
 UTF-8 encoding.
 .
 cookies included in this package:
  * tang300: 300 Tang Poems
  * song100: 100 Song Poems
  * chinese: Misc Chinese Collection

## fortune-zh 2.95+nmu1

=== debian/changelog ===
fortune-zh (2.95+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:30:15 +0800

## fortune-zh 2.96

=== debian/changelog ===
fortune-zh (2.96) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control:
   - Bump debhelper-compat (= 13)
   - Bump Standards-Version: 4.5.0
   - add Rules-Requires-Root: no
   - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/copyright: add Upstream-Contact:
  * New maintainer (Closes: #910181)

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 19 May 2020 11:00:09 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: games
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>
-Build-Depends: debhelper (>= 11~), fortune-mod, python3,
-Standards-Version: 4.3.0
+Uploaders: Mo Zhou <cdluminate@gmail.com>,
+           xiao sheng wen <atzlinux@sina.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ fortune-mod,
+ python3,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git

## fortune-zh 2.97

=== Makefile ===
DESTDIR=
FORTUNES=/usr/share/games/fortunes
GAMES=/usr/games

TEXTS = tang300 song100 chinese
DATA  = tang300.dat song100.dat chinese.dat

chinese.dat: 
	python3 ./cookie2dat.py
	touch chinese
	find . -type f,l -name '*.dat' -print0 | LC_ALL=C sort -z | xargs -0r cat | cat >> chinese
	awk '{if ($$0 ~ /--/) {print "[33m" $$0 "[m"} else {print}}' chinese > chinese_colorize
	sed -i -e 's/《/[32m《/g' -e 's/》/》[m/g' chinese_colorize
	mv chinese_colorize chinese
	strfile chinese

%.dat: %
	strfile $< $<.dat

distclean: clean
clean:
	-find . -type f -name '*.dat' -delete
	-rm chinese

install: $(DATA)
	mkdir -p $(DESTDIR)$(FORTUNES)
	mkdir -p $(DESTDIR)$(GAMES)
	install -m0755  fortune-zh        $(DESTDIR)$(GAMES)
	install -m0644  $(TEXTS) $(DATA)  $(DESTDIR)$(FORTUNES)
.PHONY: install clean distclean stat all

=== debian/changelog ===
fortune-zh (2.97) unstable; urgency=medium

  * delete unused lintian overrides
  * d/control: Bump Standards-Version 4.5.1
  * d/copyright:
      - delete Upstream info, as this is a Debian native package
      - update Source URL to salsa git
      - update Copyright year to 2021

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 03 Feb 2021 23:12:09 +0800

fortune-zh (2.96.1) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control: remove the previous maintainer from the Uploaders list

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Sep 2020 11:38:47 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>,
-           xiao sheng wen <atzlinux@sina.com>,
+Uploaders: xiao sheng wen <atzlinux@sina.com>,
 Build-Depends:
  debhelper-compat (= 13),
  fortune-mod,
  python3,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git

## fortune-zh 2.98

=== debian/changelog ===
fortune-zh (2.98) unstable; urgency=medium

  [ 肖盛文 ]
  * d/control:
      - Bump Standards-Version: 4.6.0
      - add Provides: fortune-cookie-db, (Closes: #448063)

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 20 Dec 2021 22:00:29 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  fortune-mod,
  python3,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git
@@ -15,6 +15,7 @@
 Package: fortunes-zh
 Architecture: all
 Depends: ${misc:Depends}, fortune-mod
+Provides: fortune-cookie-db
 Breaks: fortune-zh (<< 2.2)
 Replaces: fortune-zh (<< 2.2)
 Description: Chinese Data files for fortune

=== debian/tests/control ===
Tests: simply.run

## fortune-zh 2.98.1

=== debian/changelog ===
fortune-zh (2.98.1) unstable; urgency=medium

  * Team upload.
  * Remove foss.d/debian_boyuan.cookie.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/copyright: Use SPDX license name.
  * song100: Remove trailing spaces. (LP: #2046347)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Nov 2024 10:15:51 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  fortune-mod,
  python3,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/chinese-team/fortunes-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/fortunes-zh.git

## fortune-zh 2.98.1build1

=== debian/changelog ===
fortune-zh (2.98.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 20:05:41 +0000
